package com.namasoft.taxauthority;

import jakarta.xml.bind.annotation.*;
import java.util.List;

@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public class TaxAuthorityCreditNote extends TaxAuthorityAbsNormalDocument
{
	public TaxAuthorityCreditNote()
	{
		setDocumentType("C");
	}

	private List<String> references;

	public List<String> getReferences()
	{
		return references;
	}

	public void setReferences(List<String> references)
	{
		this.references = references;
	}

	@Override
	public void updateReferences(List<String> references)
	{
		setReferences(references);
	}

	@Override
	public String edocumentType()
	{
		return "CreditNote";
	}

	@Override
	public boolean ifReturn()
	{
		return true;
	}
}